/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.philulay.buchcom.converter;


import de.philulay.buchcom.controller.MediumC;
import de.philulay.buchcom.model.Category;
import javax.el.ELContext;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.faces.convert.FacesConverter;



@FacesConverter("categoryConverter")
public class CategoryConverter implements Converter {
    
    
    @Override
    public Object getAsObject(FacesContext context, UIComponent component, String value) {
        if(value.isEmpty()) return null;
        ELContext elContext = context.getELContext();
        MediumC rc = (MediumC) context.getApplication().getELResolver().getValue(elContext, null, "mediumC");
        Long id = Long.parseLong(value);
        Category r = rc.getCategoryById(id);
        //System.out.println(r);
        return r;
    }

    @Override
    public String getAsString(FacesContext context, UIComponent component, Object value) {
        Category r = (Category) value;
        //System.out.println(Long.toString(r.getId()));
        return Long.toString(r.getId());
    }
    
}
