/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package de.philulay.buchcom.system;

import de.philulay.buchcom.config.Strings;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.inject.Named;
import javax.servlet.http.HttpServletRequest;
import javax.transaction.NotSupportedException;
import javax.transaction.SystemException;

/**
 *
 * @author Philipp
 */
@ManagedBean
@SessionScoped
public class BC_Login extends BC_Database {
    

private String name;


    /**
     * @return name gibt den Namen des eingeloggten Users zurück
     */
    public String getName(){ // muss zuerst aufgerufen werden
        if(name==null){
            ExternalContext ectx= FacesContext.getCurrentInstance().getExternalContext();
            name=ectx.getRemoteUser();
        }
        return name;
    }
    
    /**
     * 
     * @param nutzer Nutzer der sich ausloggt
     * @return Rückgabeseite nach Logout
     */
    public String ausloggen(BC_Login nutzer){
        ExternalContext ectx= FacesContext.getCurrentInstance()
        .getExternalContext();
        ectx.invalidateSession();
        nutzer=null; // (leider) wichtig
        return "index.xhtml?faces-redirect=true";
    }
    
    
}
